<html>
    <head>
        <style type="text/css">
            .border_atas {
                border-top: 1px solid black;
                border-collapse: collapse;
            }

            .border_kiri {
                border-left: 1px solid black;
                border-collapse: collapse;
            }

            .border_kanan {
                border-right: 1px solid black;
                border-collapse: collapse;
            }

            .border_bawah {
                border-bottom: 1px solid black;
                border-collapse: collapse;
            }

            .font_besar {
                font-size: 12pt;
            }

            .font_kecil {
                font-size: 10pt;
            }

            .font_lima {
                font-size: 7pt;
            }

            .font_tujuh {
                font-size: 7pt;
            }  

            .font_delapan {
                font-size: 10pt;
            }    

            .font_sembilan {
                font-size: 9pt;
            }    
        </style>
    </head>
    <body>
        <?php
        ini_set("max_execution_time", 500);
        if (!function_exists('kekata')) {

            function kekata($x) {
                $x = abs($x);
                $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
                    "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
                $temp = "";
                if ($x < 12) {
                    $temp = " " . $angka[$x];
                } else if ($x < 20) {
                    $temp = kekata($x - 10) . " Belas";
                } else if ($x < 100) {
                    $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
                } else if ($x < 200) {
                    $temp = " Seratus" . kekata($x - 100);
                } else if ($x < 1000) {
                    $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
                } else if ($x < 2000) {
                    $temp = " Seribu" . kekata($x - 1000);
                } else if ($x < 1000000) {
                    $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
                } else if ($x < 1000000000) {
                    $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
                } else if ($x < 1000000000000) {
                    $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
                } else if ($x < 1000000000000000) {
                    $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
                }
                return $temp;
            }

        }

        function terbilang($x, $style = 4) {
            if ($x < 0) {
                $hasil = "MINUS " . trim(kekata($x));
            } else {
                $hasil = trim(kekata($x));
            }
            switch ($style) {
                case 1:
                    $hasil = strtoupper($hasil);
                    break;
                case 2:
                    $hasil = strtolower($hasil);
                    break;
                case 3:
                    $hasil = ucwords($hasil);
                    break;
                default:
                    $hasil = ucfirst($hasil);
                    break;
            }
            return $hasil;
        }

        foreach ($this->data as $row) {
            $abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
            $t_tglpenetapan = date('d', strtotime($row['t_tglpenetapan'])) . " " . $abulan[date('m', strtotime($row['t_tglpenetapan']))] . " " . date('Y', strtotime($row['t_tglpenetapan']));
            ?>
            <div style="height: 100%">
                <table class="border_atas border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
                    <tr>
                        <td style="width: 7%">
                            <img src="<?= $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo; ?>" style="width:40px;"  />
                        </td>
                        <td style="width: 33%">
                            PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota) ?>
                            <br>
                            <?= $ar_pemda->s_namainstansi ?>
                            <br>
                            <?= $ar_pemda->s_alamatinstansi ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?>
                        </td>
                        <td class="border_kiri" style="width: 40%; padding-left: 10px;">
                            <b style="font-size: 15px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;SKPD</b> 
                            <br>
                            <b style="font-size: 11px;">(SURAT KETETAPAN PAJAK DAERAH)</b>
                            <br>
                            Masa &nbsp;&nbsp;&nbsp;&nbsp;: <?= date('d-m-Y', strtotime($row['t_masaawal'])); ?> S/D <?= date('d-m-Y', strtotime($row['t_masaakhir'])); ?>
                            <br>
                            Tahun &nbsp;&nbsp;&nbsp;: <?= $row['t_periodepajak']; ?>
                        </td>
                        <td class="border_kiri" style="width: 20%;">
                            No. SPTPD : <?= $row['t_nourut'] ?><br>
                            No. SKPD : <?= $row['t_nopenetapan'] ?><br>
                            Kode Bayar : <?= $row['t_kodebayar'] ?>
                        </td>
                    </tr>
                </table>
                <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
                    <tr>
                        <td style="width: 5%; padding:0; border-spacing:0px; padding-left: 15px; padding-top: 10px;">
                            I
                        </td>
                        <td colspan="2" style="padding:0;border-spacing:0px; padding-top: 10px;">
                            Identitas Wajib Pajak
                        </td>
                    </tr>
                    <tr>
                        <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                        </td>
                        <td style="padding:0; border-spacing:0px;">
                            NPWPD
                        </td>
                        <td class="border_kanan" style="padding:0;border-spacing:0px;">
                            : <?= $row['t_npwpd'] ?>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                        </td>
                        <td style="width: 20%; padding:0; border-spacing:0px;">
                            Nama
                        </td>
                        <td style="padding:0;border-spacing:0px;">
                            : <?= $row['t_nama'] ?>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                        </td>
                        <td style="padding:0; border-spacing:0px;">
                            Alamat
                        </td>
                        <td style="padding:0;border-spacing:0px;">
                            : <?= $row['t_alamat'] . ", Kel./Desa " . $row['s_namakel'] . ", Kec. " . $row['s_namakec'] . ", Kab. " . $row['t_kabupaten'] ?>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                        </td>
                        <td style="padding:0; border-spacing:0px;">
                            NIOP
                        </td>
                        <td class="border_kanan" style="padding:0;border-spacing:0px;">
                            : <?= $row['t_nop'] ?>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                        </td>
                        <td style="padding:0; border-spacing:0px;">
                            Nama Objek
                        </td>
                        <td class="border_kanan" style="padding:0;border-spacing:0px;">
                            : <?= $row['t_namaobjek'] ?>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                        </td>
                        <td style="padding:0; border-spacing:0px;">
                            Alamat Objek
                        </td>
                        <td class="border_kanan" style="padding:0;border-spacing:0px;">
                            : <?= $row['t_alamatobjek'] . ", Kel./Desa " . $row['s_namakelobjek'] . ", Kec. " . $row['s_namakecobjek'] . ", Kab. " . $row['t_kabupatenobjek'] ?>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-bottom: 10px">
                            II
                        </td>
                        <td style="padding:0; border-spacing:0px; padding-bottom: 10px">
                            Tanggal Jatuh Tempo
                        </td>
                        <td class="border_kanan" style="padding:0;border-spacing:0px; padding-bottom: 10px">
                            : <?= date('d-m-Y', strtotime($row['t_tgljatuhtempo'])) ?>
                        </td>
                    </tr>
                </table>
                <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
                    <tr style="text-align: center">
                        <td class="border_kanan border_kiri" style="padding-top: 10px;">
                            <table style="margin-left: 15px; margin-right: 15px; padding-top: 10px; border: 1px solid black; border-collapse: collapse; width: 100%; margin-bottom: 10px; vertical-align: top">
                                <tr>
                                    <td style="width: 5%; border: 1px solid black; border-collapse: collapse; text-align: center">
                                        No.
                                    </td>
                                    <td style="border: 1px solid black; border-collapse: collapse; text-align: center">
                                        Kode Rekening
                                    </td>
                                    <td style="border: 1px solid black; border-collapse: collapse; text-align: center">
                                        Uraian
                                    </td>
                                    <td style="border: 1px solid black; border-collapse: collapse; text-align: center">
                                        Jumlah (Rp.)
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align: center; border: 1px solid black; border-collapse: collapse">
                                        1.
                                    </td>
                                    <td style="border: 1px solid black; border-collapse: collapse;">
                                        <?= $row['korek'] ?><br>
                                        - <?= $row['s_namakorek'] ?>
                                    </td>
                                    <td style="border: 1px solid black; border-collapse: collapse;">
                                        - <?= $row['s_namajenis'] ?><br>
                                        <?php if ($jenisobjek == 4) { ?>
                                            &nbsp;Lokasi : <?= $row['t_lokasi'] ?><br>
                                            &nbsp;Naskah : <?= $row['t_naskah'] ?><br>
                                            &nbsp;Jangka Waktu : <?= $row['t_jangkawaktu'] . " " . $row['t_tipewaktu'] ?> <br>
                                            <table style="vertical-align: top">
                                                <tr>
                                                    <td>
                                                        Perhitungan
                                                    </td>
                                                    <td>
                                                        = Panjang x Lebar x Arah x Jumlah x Tarif
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>

                                                    </td>
                                                    <td>
                                                        = <?= $row['t_panjang'] . " x " . $row['t_lebar'] . " x " . $row['t_arah'] . " x " . $row['t_jumlah'] . " x " . number_format($row['t_tarifreklame'], 0, ',', '.') ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>

                                                    </td>
                                                    <td>
                                                        = <?= number_format($row['t_panjang'] * $row['t_lebar'] * $row['t_arah'] * $row['t_jumlah'] * $row['t_tarifreklame'], 0, ',', '.') ?>
                                                    </td>
                                                </tr>
                                            </table>
                                        <?php } elseif ($jenisobjek == 8) { ?>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <?= $row['t_volumeair0'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_hargadasar0'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_tarif0'] ?>
                                                    </td>
                                                    <td>
                                                        =
                                                    </td>
                                                    <td style="text-align: right">
                                                        <?= number_format($row['t_jumlah0'], 0, ',', '.') ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <?= $row['t_volumeair1'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_hargadasar1'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_tarif1'] ?>
                                                    </td>
                                                    <td>
                                                        =
                                                    </td>
                                                    <td style="text-align: right">
                                                        <?= number_format($row['t_jumlah1'], 0, ',', '.') ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <?= $row['t_volumeair2'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_hargadasar2'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_tarif2'] ?>
                                                    </td>
                                                    <td>
                                                        =
                                                    </td>
                                                    <td style="text-align: right">
                                                        <?= number_format($row['t_jumlah2'], 0, ',', '.') ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <?= $row['t_volumeair3'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_hargadasar3'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_tarif3'] ?>
                                                    </td>
                                                    <td>
                                                        =
                                                    </td>
                                                    <td style="text-align: right">
                                                        <?= number_format($row['t_jumlah3'], 0, ',', '.') ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <?= $row['t_volumeair4'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_hargadasar4'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_tarif4'] ?>
                                                    </td>
                                                    <td>
                                                        =
                                                    </td>
                                                    <td style="text-align: right">
                                                        <?= number_format($row['t_jumlah4'], 0, ',', '.') ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <?= $row['t_volumeair5'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_hargadasar5'] ?>
                                                    </td>
                                                    <td>
                                                        x <?= $row['t_tarif5'] ?>
                                                    </td>
                                                    <td>
                                                        =
                                                    </td>
                                                    <td style="text-align: right">
                                                        <?= number_format($row['t_jumlah5'], 0, ',', '.') ?>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="5" class="border_atas">

                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="3">
                                                        Jumlah
                                                    </td>
                                                    <td>
                                                        =
                                                    </td>
                                                    <td style="text-align: right">
                                                        <?= number_format($row['t_jumlah0'] + $row['t_jumlah1'] + $row['t_jumlah2'] + $row['t_jumlah3'] + $row['t_jumlah4'] + $row['t_jumlah5'], 0, ',', '.') ?>
                                                    </td>
                                                </tr>
                                            </table>
                                        <?php } ?>
                                    </td>
                                    <td style="border: 1px solid black; border-collapse: collapse; text-align: right">
                                        <?= number_format($row['t_jmlhpajak'], 0, ',', '.'); ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align: center; border: 1px solid black; border-collapse: collapse" colspan="3">
                                        Jumlah Ketetapan Pokok Pajak
                                    </td>
                                    <td style="border: 1px solid black; border-collapse: collapse; text-align: right">
                                        <?= number_format($row['t_jmlhpajak'], 0, ',', '.'); ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="border: 1px solid black; border-collapse: collapse" colspan="4">
                                        Dengan Huruf : <i><?= terbilang($row['t_jmlhpajak']); ?></i>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
                    <tr>
                        <td style="padding-top: 10px; padding-left: 15px" colspan="2">
                            PERHATIAN :
                        </td>
                    </tr>
                    <tr>
                        <td style="width:5%; border-spacing:0px; padding-left: 15px; vertical-align: top">
                            1.
                        </td>
                        <td style="padding:0; border-spacing:0px;">
                            Harap penyetoran dilakukan melalui BKP atau Kas Daerah dengan menggunakan Surat Setoran Pajak Daerah (SSPD)
                        </td>
                    </tr>
                    <tr>
                        <td style="border-spacing:0px; padding-left: 15px; padding-bottom: 10px; vertical-align: top">
                            2.
                        </td>
                        <td style="padding:0; border-spacing:0px; padding-bottom: 10px">
                            Apabila SKPD ini tidak atau kurang dibayar setelah waktu paling lama 30 hari sejak SKPD ini diterima dikenakan sanksi administrasi
                            berupa bunga sebesar 2% per bulan.
                        </td>
                    </tr>
                </table>
                <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
                    <tr>
                        <td style="width: 50%; padding-top: 10px; padding-left: 15px">

                        </td>
                        <td style="text-align: center; padding-top: 10px">
                            <?= $ar_pemda->s_namaibukotakabkota ?>, <?= $t_tglpenetapan ?><br>
                            a.n, Kepala <?= $ar_pemda->s_namainstansi ?><br>
                            <?= strtoupper($ar_ttd0->s_jabatanpej) ?>
                            <br>
                            <br>
                            <br>
                            <br>
                            <br>
                            <br>
                            <?= $ar_ttd0->s_namapej ?><br>
                            NIP. <?= $ar_ttd0->s_nippej ?>
                        </td>
                    </tr>
                </table>
            </div>
        <?php } ?>
    </body>
</html>

